package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.Status;

public class AmIAdminUseCase {
    private final AdminRepository repository;

    public AmIAdminUseCase(AdminRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String auth, @NonNull Consumer<Status<Void>> callback) {
        repository.amIAdmin(auth, callback);
    }
}
